## org.eclipse.emf.codegen.jmerge
Class JMerger.PlatformRunnable

    java.lang.Object
      org.eclipse.emf.codegen.merge.properties.PropertyMerger
          org.eclipse.emf.codegen.jmerge.PropertyMerger
              org.eclipse.emf.codegen.jmerge.JMerger.PlatformRunnable

All Implemented Interfaces:
  IPlatformRunnable

Enclosing class:
  JMerger

Deprecated.

    @Deprecated
    public static class JMerger.PlatformRunnable

extends PropertyMerger
implements IPlatformRunnable

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.jmerge.PropertyMerger
`PropertyMerger.PlatformRunnable`

Field Summary

Fields inherited from class org.eclipse.emf.codegen.merge.properties.PropertyMerger
`nlPattern, propertyLine, sourceProperties, sourceToTargetMap, targetProperties, targetToSourceMap`

Fields inherited from interface org.eclipse.core.runtime.IPlatformRunnable
`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

Constructor Summary
`JMerger.PlatformRunnable()` Deprecated.

Method Summary

Methods inherited from class org.eclipse.emf.codegen.merge.properties.PropertyMerger
`createPropertiesForInputStream, createPropertiesForURI, getSourceProperties, getSourceToTargetMap, getTargetProperties, merge, parse, run, setSourceProperties, setTargetProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IPlatformRunnable
`run`

Constructor Detail

### JMerger.PlatformRunnable

    public JMerger.PlatformRunnable()

  Deprecated.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.